﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TotallyRadEngine10;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace ProjectMaternity
{
    class CreditsUI : UI
    {
        public CreditsUI() 
            : base()
        {
            //AddImage("BG", bgImg);

            AddText("Credits", new Text("Here are the people that worked on this!", ContentCache.GetFont("Fonts\\UI"), Color.Red, new Vector2(Renderer.BackBufferWidth / 2, ((Renderer.BackBufferHeight / 2) - 512) + 250), 1.0f, AnimationType.None, Alignment.Centre));
            
            AddText("DesignTitle", new Text("Design:", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 400, ((Renderer.BackBufferHeight / 2) - 512) + 330), 1.0f, AnimationType.None, Alignment.Centre));
            AddText("Designers", new Text("Catarina Barros\nKarn Bianco\nDominic Bodman", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 360, ((Renderer.BackBufferHeight / 2) - 512) + 360), 1.0f, AnimationType.None, Alignment.Default));

            AddText("GameplayTitle", new Text("Gameplay programming:", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 360, ((Renderer.BackBufferHeight / 2) - 512) + 450), 1.0f, AnimationType.None, Alignment.Default));
            AddText("Gameplay", new Text("Catarina Barros\nKarn Bianco", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 360, ((Renderer.BackBufferHeight / 2) - 512) + 480), 1.0f, AnimationType.None, Alignment.Default));

            AddText("EngineTitle", new Text("Engine/Tools programming:", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 640, ((Renderer.BackBufferHeight / 2) - 512) + 330), 1.0f, AnimationType.None, Alignment.Default));
            AddText("Engine", new Text("Dominic Bodman", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 640, ((Renderer.BackBufferHeight / 2) - 512) + 360), 1.0f, AnimationType.None, Alignment.Default));

            AddText("AITitle", new Text("AI programming:", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 360, ((Renderer.BackBufferHeight / 2) - 512) + 540), 1.0f, AnimationType.None, Alignment.Default));
            AddText("AI", new Text("Karn Bianco", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 360, ((Renderer.BackBufferHeight / 2) - 512) + 570), 1.0f, AnimationType.None, Alignment.Default));

            AddText("3DTitle", new Text("3D artwork:", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 640, ((Renderer.BackBufferHeight / 2) - 512) + 420), 1.0f, AnimationType.None, Alignment.Default));
            AddText("3D", new Text("Catarina Barros\nDan Dexter", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 640, ((Renderer.BackBufferHeight / 2) - 512) + 450), 1.0f, AnimationType.None, Alignment.Default));

            AddText("UITitle", new Text("UI design/Additional 2D artwork:", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 640, ((Renderer.BackBufferHeight / 2) - 512) + 520), 1.0f, AnimationType.None, Alignment.Default));
            AddText("UI", new Text("Catarina Barros", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 640, ((Renderer.BackBufferHeight / 2) - 512) + 550), 1.0f, AnimationType.None, Alignment.Default));

            AddText("AnimationTitle", new Text("Animation:", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 640, ((Renderer.BackBufferHeight / 2) - 512) + 620), 1.0f, AnimationType.None, Alignment.Default));
            AddText("Animation", new Text("Dominic Bodman", ContentCache.GetFont("Fonts\\UISmall"), Color.White, new Vector2(((Renderer.BackBufferWidth / 2) - 640) + 640, ((Renderer.BackBufferHeight / 2) - 512) + 650), 1.0f, AnimationType.None, Alignment.Default));
        }
    }
}
