﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TotallyRadEngine10;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace ProjectMaternity
{
    class PauseMenuUI : UI
    {
        public PauseMenuUI()
            : base()
        {
            AddText("Paused", new Text("Paused", ContentCache.GetFont("Fonts\\UI"), Color.White, new Vector2(Renderer.BackBufferWidth / 2, (Renderer.BackBufferHeight / 2) - 30), 1.0f, AnimationType.Pulsate, Alignment.Centre));
            AddImage("PauseBox", new Image(new Vector2(Renderer.BackBufferWidth / 2, Renderer.BackBufferHeight / 2), 1.0f, ContentCache.GetTexture("Sprites\\UITimerBox"), AnimationType.Pulsate, Alignment.Centre, new Color(72, 141, 228)));
        }
    }
}
