﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TotallyRadEngine10;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace ProjectMaternity
{
    class TutorialDialogUI : UI
    {
        public string Message = "";

        public TutorialDialogUI()
            : base()
        {
            Vector2 infoScreenPos = new Vector2(Renderer.BackBufferWidth - 605, Renderer.BackBufferHeight - 339);            
            AddImage("A", new Image(infoScreenPos + new Vector2(257, 205), 1.0f, ContentCache.GetTexture("Sprites\\AButton"), AnimationType.Pulsate, Alignment.Centre));
            AddImage("InfoScreen", new Image(infoScreenPos, 1.0f, ContentCache.GetTexture("Sprites\\Dialog"), AnimationType.None, Alignment.Default));
            AddText("MessageInfo", new Text(Message, ContentCache.GetFont("Fonts\\TutUI"), Color.White, new Vector2(Renderer.BackBufferWidth - 350, Renderer.BackBufferHeight - 290), 0.7f, AnimationType.None, Alignment.Centre));
        }

        public override void Update()
        {
            GetText("MessageInfo").String = Message;
            base.Update();
        }
    }
}
