﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TotallyRadEngine10;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace ProjectMaternity
{
    class ControlsUI : UI
    {
        public ControlsUI()
            : base()
        {
            Image controlsBG = new Image(new Vector2(Renderer.BackBufferWidth / 2, Renderer.BackBufferHeight / 2), 1.0f, ContentCache.GetTexture("Sprites\\ControlsBG"), AnimationType.None, Alignment.Centre);
            AddImage("Controls", controlsBG);

            Text controls = new Text("Controls", ContentCache.GetFont("Fonts\\UI"), Color.White, new Vector2(Renderer.BackBufferWidth / 2, ((Renderer.BackBufferHeight / 2) - 512) + 25), 1.0f, AnimationType.Pulsate, Alignment.Centre);
            AddText("Controls", controls);
        }
    }
}
